Lectures will be loosely organized around four modules: differential privacy,
cryptography, language-based security, and adversarial machine learning. The
instructor will give most of the lectures for the first module, on differential
privacy. For each of the remaining modules, I will give the first lecture
introducing the topic and background material. Then, each student will lead one
lecture, presenting a paper and guiding the discussion.  

The topics we will be reading and thinking about are from the recent research
literature---polished enough to be peer-reviewed and published, but not always
completely refined. Given that this is a graduate course, not all lectures are
set in stone and there is considerable flexibility in the topics. If you are
interested in something not covered in the syllabus, please let me know.

## Readings and Homework

Paper discussions are a core component of this course. You are expected to read
papers before lecture, attend lectures, and participate in discussions.  Before
every lecture presenting a paper, students are expected to read the paper
closely and understand its significance, including (a) the problem addressed by
the paper, (b) the main contributions of the paper, and (c) how the authors
solve the problem in some technical detail.  

Most research papers focus on a very narrow topic and are written for a very
specific technical audience. It also doesn't help that computer science
researchers are generally not the clearest writers (though there are certainly
exceptions!). These
[notes](https://web.stanford.edu/class/ee384m/Handouts/HowtoReadPaper.pdf) by
Srinivasan Keshav may help you get more out of reading papers.

To help you prepare for the class discussions, I will also send out a few
questions at least 24 hours before every paper presentation. **Before** the
lecture, you should send me brief answers---a short email is fine, no more than
a few sentences per question. These questions are for your benefit---they are
not meant to be very difficult or time-consuming and they will not be graded in
detail.

## Course Project

The other main component is the course project. You will work individually or in
pairs on a topic of their choice, producing a conference-style write-up and
presenting their project at the end of the semester. This project should have
the potential to turn into a research paper or survey. Details can be found
[here](projects/details.md).

## Grading and Evaluation

Grades will be assigned as follows:

- **Discussions: 15%** (Pre-lecture questions and class participation)
- **Paper presentation: 25%**
- **Final project: 60%** (First and second milestones, and final writeup)

## Academic Integrity

The final project may be done individually or in groups of two students.
Collaborative projects with people outside the class may be allowed, but please
check with me beforehand.
