Security and Privacy are rapidly emerging as critical research areas.
Vulnerabilities in software are found and exploited almost everyday
and with increasingly serious consequences (e.g., the Equifax massive data
breach). Moreover, our private data is increasingly at risk and thus
techniques that enhance privacy of sensitive data (known as
privacy-enhancing technologies (PETS)) are becoming increasingly
important. Also, machine-learning (ML) is increasingly being utilized to
make decisions in critical sectors (e.g., health care, automation, and
finance). However, in deploying these algorithms presence of malicious
adversaries is generally ignored.  

This advanced topics class will tackle techniques related to all these
themes. We will cover the following broad topics.

### Differential Privacy
- Basic properties and examples
- Advanced mechanisms
- Local differential privacy

### Cryptographic Techniques
- Zero-knowledge proofs
- Secure multi-party computation
- Verifiable computation

### Language-Based Security
- Secure information flow
- Differential privacy
- Symbolic cryptography

### Adversarial Machine Learning
- Training-time attacks
- Test-time attacks
- Model-theft attacks
